Update a lot
curl --request PATCH \
--url https://app.kenekt.com.au/v1/{agency_uid}/lots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": {
"lot_number": "202"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}"
payload = { "property": { "lot_number": "202" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: {lot_number: '202'}})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'property' => [
'lot_number' => '202'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}"
payload := strings.NewReader("{\n \"property\": {\n \"lot_number\": \"202\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"property\": {\n \"lot_number\": \"202\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"property\": {\n \"lot_number\": \"202\"\n }\n}"
response = http.request(request)
puts response.read_body{
"property": {
"public_uid": "LT-1234",
"project_uid": "PJ-1234567",
"lot_number": "202",
"unit_number": null,
"street_number": null,
"street_address": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"land_width": null,
"land_length": null,
"land_area": null,
"land_price": 0,
"developer": null,
"land_reg_date": "Registered",
"title_type": null,
"title_fees": 0,
"builds_count": 2
}
}Stock / Lots
Update a lot
Changes the lot’s details.
PATCH
/
{agency_uid}
/
lots
/
{id}
Update a lot
curl --request PATCH \
--url https://app.kenekt.com.au/v1/{agency_uid}/lots/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": {
"lot_number": "202"
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}"
payload = { "property": { "lot_number": "202" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: {lot_number: '202'}})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'property' => [
'lot_number' => '202'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}"
payload := strings.NewReader("{\n \"property\": {\n \"lot_number\": \"202\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"property\": {\n \"lot_number\": \"202\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/lots/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"property\": {\n \"lot_number\": \"202\"\n }\n}"
response = http.request(request)
puts response.read_body{
"property": {
"public_uid": "LT-1234",
"project_uid": "PJ-1234567",
"lot_number": "202",
"unit_number": null,
"street_number": null,
"street_address": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"postcode": "2151",
"region": "PARRAMATTA",
"country": "AU",
"status": "available",
"land_width": null,
"land_length": null,
"land_area": null,
"land_price": 0,
"developer": null,
"land_reg_date": "Registered",
"title_type": null,
"title_fees": 0,
"builds_count": 2
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes